Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 345131 - FEATURES variable contains unknown value(s): preserve-libs
Summary: FEATURES variable contains unknown value(s): preserve-libs
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Configuration (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: preserve-libs 431026
  Show dependency tree
 
Reported: 2010-11-11 17:57 UTC by Jeroen Roovers
Modified: 2013-07-02 01:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2010-11-11 17:57:20 UTC
As exemplified in bug #344613, eutils.eclass checks for FEATURES=preserve-libs, which is set, but emerge does not in fact support it. So eutils does not preserve an old library and neither does emerge. :-\

I am pretty sure eutils.eclass shouldn't be checking FEATURES, is one thing.

Also, it's nice to see no effort has been spared to warn users against setting this with portage 2.1, by setting the output in bright red, but the message itself is entirely unclear:

"FEATURES variable contains unknown value(s): preserve-libs"

I don't actually know what the above quotation means. In reality "preserve-libs" is a known value of the FEATURES variable, and it's dangerous to use with that version of sys-apps/portage, so emerge should at that moment drop whatever it's doing and exit. And eutils.eclass should probably do whatever it needs to do, even if emerge then replicates it, or whichever comes first.
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2010-11-11 18:20:44 UTC
it means what it says.  preserve-libs doesn't exist in portage 2.1.
Comment 2 Zac Medico gentoo-dev 2010-11-12 02:26:25 UTC
(In reply to comment #0)
> I am pretty sure eutils.eclass shouldn't be checking FEATURES, is one thing.

This is the root problem. The issue has been raised in bug 326275. I think preserve_old_lib should be controlled some other way, such as by a USE flag or some other environment variable (other than FEATURES).
Comment 3 Jeroen Roovers gentoo-dev 2010-11-12 15:45:43 UTC
(In reply to comment #1)
> it means what it says.  preserve-libs doesn't exist in portage 2.1.

It says "unknown value" and more appropriately it might say something like "unrecognised keyword" or perhaps just "unknown keyword". Maybe prefixed with "WARNING:".

(In reply to comment #2)
> (In reply to comment #0)
> > I am pretty sure eutils.eclass shouldn't be checking FEATURES, is one thing.
> 
> This is the root problem. The issue has been raised in bug 326275. I think
> preserve_old_lib should be controlled some other way, such as by a USE flag or
> some other environment variable (other than FEATURES).

It looks like bug #326275 doesn't quite raise the subject of the illegal checking for FEATURES flags.
Comment 4 SpanKY gentoo-dev 2010-11-13 01:21:32 UTC
USE flag really isnt going to cut it.  simply fix the systems wrongly using preserve-libs per Bug 326275.
Comment 5 Zac Medico gentoo-dev 2013-07-02 01:32:53 UTC
I guess we can consider this fixed since stable portage supports preserve-libs since portage-2.1.11.31.